/**
 * core.js - all global scripts belong in this file.
 */

// NAMESPACE FOR COMMON FUNCTIONS/OBJECTS
var COMMONUTILS = {
    //
    pageWidth : function () {"use strict";
        return document.documentElement.clientWidth;
    },

    optinFormValidate: function() {
    	"use strict";

      //
      $('#subscribe').validate({
          rules : {
              email : {
                  required : true, email : true
              }, zip : 'required'
          }, messages : {
              email : 'Enter a valid email', zip : 'Enter your zip code'
          }, errorPlacement : function(error, element) {
              element.attr('placeholder', error[0].outerText);
          }, submitHandler : function(form) {
              $.ajax({
                  url : '_inc/optin_action.php', type : 'POST', data : $(form).serialize(), success : function() {
                      $(form).hide();
                      $(form).parent("div").append('<h3 class="text-center form-thanks">THANK YOU FOR SIGNING UP.</h3>');
                  }
              });
              return false;
          }
      });
      
    }
    
};


// NAMESPACE FOR CAST FUNCTIONS/OBJECTS
var CAST = {};

CAST.bios = [];
CAST.bioindex = 0;

CAST.initialize = function() {
	"use strict";

	var teamCount = $(".bio-link").length;

	//console.log(teamCount);

	var teamIndex = 0;

	$(".bio-link").each(function(){

    	//$(this).attr("href","#"+teamIndex).attr("id",teamIndex);
    	CAST.bios.push( $("#cm"+teamIndex).html() );
      console.log( $("#cm"+teamIndex) );
    	teamIndex++;
	});


	$(".bio-link").click(function(e){

        e.preventDefault();
        
        $("#modal-content").removeClass("visible");

    		var scrollTop = ($('html').scrollTop()) ? $('html').scrollTop() : $('body').scrollTop();
    		//$("#main-nav").show();
    
    		//console.log(scrollTop);
    		$("html,body").css('top',-scrollTop);

        CAST.bioindex = Number($(this).attr("href").split("#")[1]);
        
        
        console.log(CAST.bioindex);

        //add overlay
        $("#modal-content").html("").html("<div>" + CAST.bios[($(this).attr("href").split("#")[1])] + "</div>");
        $("#modal-content").html("<div>" + CAST.bios[CAST.bioindex] + "</div>").addClass("visible");
        $("html").addClass("modal-open");
        
        //next/prev
        $("#modal-prev, #modal-next").show();

        if (CAST.bioindex == CAST.bios.length-1) {
            $("#modal-next").hide();
        } else if (CAST.bioindex <= 1) {
            $("#modal-prev").hide();
        }

	});

	CAST.castNav();

	$("#cast").slideDown();

};

CAST.castNav = function() {

    $("#modal-next").click(function(e) {
        e.preventDefault();
        
        $("#modal-content").removeClass("visible");
        $("#modal-prev").show();

        //console.log(CAST.bioindex, (CAST.bios.length - 2));
        if (CAST.bioindex == (CAST.bios.length - 2)) {
            $(this).hide();
        } else {
            $(this).show();
        }
        console.log(CAST.bioindex);
        CAST.bioindex = CAST.bioindex + 1;
        $("#modal-content").html("<div>" + CAST.bios[CAST.bioindex] + "</div>").addClass("visible");

        //$("#modal-content").hide();
        //$("#modal-content").fadeIn();
    });

    $("#modal-prev").click(function(e) {
        e.preventDefault();
        
        $("#modal-content").removeClass("visible");
        $("#modal-next").show();
        console.log(CAST.bioindex);
        if (CAST.bioindex <= 1) {
            $(this).hide();
        } else {
            $(this).show();
        }
        CAST.bioindex = CAST.bioindex - 1;
        $("#modal-content").html("<div>" + CAST.bios[CAST.bioindex] + "</div>").addClass("visible");

        //$("#modal-content").hide();
        //$("#modal-content").fadeIn();
    });
    
    $(document).on("click",".modal-close",function(e) {
      e.preventDefault();
  		var scrollTop = parseInt($('html').css('top'));
      $("html, body").removeClass("modal-open");
    	$('html,body').scrollTop(-scrollTop);
    });
  
};

// jQuery Namespace
$ (document).ready (function () {"use strict";
    COMMONUTILS.optinFormValidate();

  	// apply responsive styling

	$(window).resize(function(){
		setLayout();
	});
	setLayout();

	function setLayout(){
	
		//endReview();
		var winW = $(window).width();
		var winH = $(window).height();
		var winR = winW / winH;
		if( (winR <= 1.2) && (winW > 768) ){
			$('html').addClass('tall');
			$('html').removeClass('reg wide single');
		} else if ( (winR > 1.2) && (winW > 768) ) {
			$('html').removeClass('reg tall single');
			$('html').addClass('wide');
		} /*else if (winW > 768) {
			$('html').addClass('reg');
			$('html').removeClass('wide tall single');
		}*/ else {
			$('html').addClass('single menu-closed');
			$('html').removeClass('reg wide tall');
			if( $("#header-optin").hasClass("open") ){
				$("#header-optin").slideUp().removeClass("open");
			}
			//startReview();
		}
		//$("#hp-wide").height(winH-(winH*.08));
		$("#hp-wide").height(winH);
		console.log(winR);
	}
	
	function showElements(){
	  $(".bullet").each(function(i){
	  	setTimeout(function(){
  	  	$(".bullet#b"+(i+1)).css({"opacity":1});
	  	},i*100);
	  });
		setTimeout(function(){
		  $(".bullet").css({"opacity":0});
  		showElements();
		},3000);
	}

    $("#btn-menu").click(function(){
      if($("html").hasClass("menu-open")){
        $("html").removeClass("menu-open");
      }else{
        $("html").addClass("menu-open");
      }
    });
		
		//showElements();
		setTimeout(function(){
		  $(".bullet").css({"opacity":0});
  		showElements();
		},1000);
	
	// BEGIN JPLAYER CODE

	var myPlaylist = new jPlayerPlaylist({
		jPlayer: "#jquery_jplayer_N",
		cssSelectorAncestor: "#jp_container_N"
	}, [
		{
			title:"Killer Diller",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/1 Killer Diller.mp3"
		},
		{
			title:"Mayhem",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/2 Mayhem.mp3"
		},
		{
			title:"More Than Meets The Eye",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/3 More Than Meets The Eye.mp3"
		},
		{
			title:"When The Band Begins to Swing",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/4 When The Band Begins to Swing.mp3"
		},
		{
			title:"A Fool Over You",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/5 A Fool Over You.mp3"
		},
		{
			title:"Shubert Alley",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/6 Shubert Alley.mp3"
		},
		{
			title:"Dead Or Alive",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/7 Dead Or Alive.mp3"
		},
		{
			title:"Hello, Hello",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/8 Hello, Hello.mp3"
		},
		{
			title:"Dangerous",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/9 Dangerous.mp3"
		},
		{
			title:"I'll Pretend",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/10 I'll Pretend.mp3"
		},
		{
			title:"Not All Jake",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/11 Not All Jake.mp3"
		},
		{
			title:"Devil In A Bottle",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/12 Devil In A Bottle.mp3"
		},
		{
			title:"Never Again",
			artist:"DANGEROUS - A New Musical",
			mp3:"https://t2pn4200-a.akamaihd.net/cdn/websites/dangerous/music/13 Never Again.mp3"
		}
	], {
		playlistOptions: {
			enableRemoveControls: true
		},
		swfPath: "jquery.jplayer.swf",
		supplied: "webmv, ogv, m4v, oga, mp3",
		useStateClassSkin: true,
		autoBlur: false,
		smoothPlayBar: true,
		keyEnabled: true,
		audioFullScreen: true
	});

	// Click handlers for jPlayerPlaylist method demo

	// The shuffle commands

	$("#playlist-shuffle").click(function() {
		myPlaylist.shuffle();
	});

	$("#playlist-shuffle-false").click(function() {
		myPlaylist.shuffle(false);
	});
	$("#playlist-shuffle-true").click(function() {
		myPlaylist.shuffle(true);
	});

	// The next/previous commands

	$("#playlist-next").click(function() {
		myPlaylist.next();
	});
	$("#playlist-previous").click(function() {
		myPlaylist.previous();
	});

	// The play commands

	$("#playlist-play").click(function() {
		myPlaylist.play();
	});

	// The pause command

	$("#playlist-pause").click(function() {
		myPlaylist.pause();
	});
	
	// END JPLAYER CODE
	
	$('html').addClass('ready');
	
	CAST.initialize();
	
});

// EOF
